Authorize using Polkit backend and compile Helper as standalone application
ClosedPublic

Authored by shubham on Jul 13 2019, 2:14 PM.

Diff Detail

Repository
R16 KPMCore
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
shubham requested review of this revision.Jul 13 2019, 2:14 PM
shubham created this revision.
shubham updated this revision to Diff 61746.Jul 14 2019, 4:04 PM

Make functions virtual

shubham updated this revision to Diff 61747.Jul 14 2019, 4:32 PM

Do not make virtual function, was just testing

shubham updated this revision to Diff 61792.Jul 15 2019, 2:26 PM

Initialize helper and connect to signals

shubham updated this revision to Diff 61793.Jul 15 2019, 2:31 PM

Return false when action not authorized

shubham updated this revision to Diff 61948.Jul 18 2019, 6:50 AM
This comment was removed by shubham.
shubham updated this revision to Diff 61950.EditedJul 18 2019, 7:01 AM

remove code causing false statement

@stikonas There is now no stuck problem, but this arises
"Connection \":1.154\" is not allowed to own the service \"org.kde.kpmcore.helperinterface\" due to security policies in the configuration file"
Unable to obtain Administrative privileges, the action can not be executed!!

Th last statement is produced by code at line 390 in externalcommand, which implies code is fine, just some problem with .conf files.

Also, after the scanning process finishes, there are no devices listed at the top.


"Scanning devices..."
QDBusError("org.freedesktop.DBus.Error.UnknownObject", "No such object path '/Helper'")

shubham updated this revision to Diff 61978.Thu, Jul 18, 2:09 PM

Add function to revoke authorization

This revision was not accepted when it landed; it landed in state Needs Review.Thu, Jul 18, 3:33 PM
This revision was automatically updated to reflect the committed changes.
shubham reopened this revision.Sat, Jul 20, 6:53 PM
shubham updated this revision to Diff 62543.Thu, Jul 25, 3:01 PM

Final changes

shubham retitled this revision from [WIP]: Authorize using Polkit backend and implement QDBus communication between App and Helper to Authorize using Polkit backend and implement QDBus communication between App and Helper.Thu, Jul 25, 3:10 PM
shubham updated this revision to Diff 62662.Sun, Jul 28, 5:58 AM

Rebase on master

This revision was not accepted when it landed; it landed in state Needs Review.Sun, Jul 28, 6:17 AM
This revision was automatically updated to reflect the committed changes.
shubham reopened this revision.Sun, Jul 28, 6:22 AM
shubham updated this revision to Diff 62664.Sun, Jul 28, 6:22 AM

Compile helper as standalone

shubham retitled this revision from Authorize using Polkit backend and implement QDBus communication between App and Helper to Authorize using Polkit backend and compile Helper as standalone application.Sun, Jul 28, 6:23 AM
shubham updated this revision to Diff 62666.Sun, Jul 28, 7:14 AM

Rebase wrt master

shubham updated this revision to Diff 62737.Mon, Jul 29, 2:08 PM

Proper rebase

shubham updated this revision to Diff 62739.Mon, Jul 29, 2:11 PM

Remove extra line changes

This revision was not accepted when it landed; it landed in state Needs Review.Mon, Jul 29, 2:14 PM
Closed by commit R16:5d5aaa1a749c: Proper rebase (authored by shubham). · Explain Why
This revision was automatically updated to reflect the committed changes.